Bug 1813361 - CI: deployment error: more unauth image pulls with image change triggers
Summary: CI: deployment error: more unauth image pulls with image change triggers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: openshift-controller-manager
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.5.0
Assignee: Gabe Montero
QA Contact: wewang
URL:
Whiteboard:
Depends On:
Blocks: 1813419
TreeView+ depends on / blocked
 
Reported: 2020-03-13 15:25 UTC by Gabe Montero
Modified: 2020-07-13 17:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: the local ref setting on imagestreams can be ignored if imagestream access occurs very soon after cluster startup or restart of the openshift controller manager because the openshift controller manager might have stale imagestreams its cache with incomplete metadata Consequence: if the imagestream was backed by a private registry which the internal image registry had credentials for, but the consumer did not have credentials for, the subsequent image pull would fail Fix: the openshift controller manager was updated to refresh its imagestream cache if it was apparent the metadata initialization was incomplete Result: local ref imagestream policy is preserved even during the timing windows that occur immediately after cluster start or openshift controller manager restart
Clone Of:
: 1813419 1813420 (view as bug list)
Environment:
Last Closed: 2020-07-13 17:19:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift openshift-controller-manager pull 73 0 None closed Bug 1813361: fix img reg ref on ICT if OCM knows img reg host before apiserver 2020-06-23 09:23:58 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:20:26 UTC

Description Gabe Montero 2020-03-13 15:25:10 UTC
See https://github.com/openshift/cluster-samples-operator/pull/242 for the analysis but the fix from https://github.com/openshift/openshift-controller-manager/pull/56 from https://bugzilla.redhat.com/show_bug.cgi?id=1775973 was not sufficient.

Working with Oleg we have a small fix in mind.

Comment 5 errata-xmlrpc 2020-07-13 17:19:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.